org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class Attributes

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.Attributes

-     public class Attributes
      extends Object

  Java class for Attributes complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Attributes">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}commonName"/>
               <element name="policySchema" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="certificateValidity" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CertificateValidity"/>
               <element name="permission" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}EnrollmentPermission"/>
               <element name="privateKeyAttributes" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}PrivateKeyAttributes"/>
               <element name="revision" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}Revision"/>
               <element name="supersededPolicies" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}SupersededPolicies"/>
               <element name="privateKeyFlags" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="subjectNameFlags" type="{http://www.w3
               .org/2001/XMLSchema}unsignedInt"/>
               <element name="enrollmentFlags" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="generalFlags" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="hashAlgorithmOIDReference" type="{http://www.w3
               .org/2001/XMLSchema}int"/>
               <element name="rARequirements" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}RARequirements"/>
               <element name="keyArchivalAttributes" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}KeyArchivalAttributes"/>
               <element name="extensions" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}ExtensionCollection"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected CertificateValidity` | `certificateValidity`
    `protected String` | `commonName`
    `protected Long` | `enrollmentFlags`
    `protected ExtensionCollection` | `extensions`
    `protected Long` | `generalFlags`
    `protected Integer` | `hashAlgorithmOIDReference`
    `protected KeyArchivalAttributes` | `keyArchivalAttributes`
    `protected EnrollmentPermission` | `permission`
    `protected long` | `policySchema`
    `protected PrivateKeyAttributes` | `privateKeyAttributes`
    `protected Long` | `privateKeyFlags`
    `protected RARequirements` | `raRequirements`
    `protected Revision` | `revision`
    `protected Long` | `subjectNameFlags`
    `protected SupersededPolicies` | `supersededPolicies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `CertificateValidity` | `getCertificateValidity()` Gets the value of the certificateValidity property.
    `String` | `getCommonName()` Gets the value of the commonName property.
    `Long` | `getEnrollmentFlags()` Gets the value of the enrollmentFlags property.
    `ExtensionCollection` | `getExtensions()` Gets the value of the extensions property.
    `Long` | `getGeneralFlags()` Gets the value of the generalFlags property.
    `Integer` | `getHashAlgorithmOIDReference()` Gets the value of the hashAlgorithmOIDReference property.
    `KeyArchivalAttributes` | `getKeyArchivalAttributes()` Gets the value of the keyArchivalAttributes property.
    `EnrollmentPermission` | `getPermission()` Gets the value of the permission property.
    `long` | `getPolicySchema()` Gets the value of the policySchema property.
    `PrivateKeyAttributes` | `getPrivateKeyAttributes()` Gets the value of the privateKeyAttributes property.
    `Long` | `getPrivateKeyFlags()` Gets the value of the privateKeyFlags property.
    `RARequirements` | `getRARequirements()` Gets the value of the raRequirements property.
    `Revision` | `getRevision()` Gets the value of the revision property.
    `Long` | `getSubjectNameFlags()` Gets the value of the subjectNameFlags property.
    `SupersededPolicies` | `getSupersededPolicies()` Gets the value of the supersededPolicies property.
    `void` | `setCertificateValidity(CertificateValidity value)` Sets the value of the certificateValidity property.
    `void` | `setCommonName(String value)` Sets the value of the commonName property.
    `void` | `setEnrollmentFlags(Long value)` Sets the value of the enrollmentFlags property.
    `void` | `setExtensions(ExtensionCollection value)` Sets the value of the extensions property.
    `void` | `setGeneralFlags(Long value)` Sets the value of the generalFlags property.
    `void` | `setHashAlgorithmOIDReference(Integer value)` Sets the value of the hashAlgorithmOIDReference property.
    `void` | `setKeyArchivalAttributes(KeyArchivalAttributes value)` Sets the value of the keyArchivalAttributes property.
    `void` | `setPermission(EnrollmentPermission value)` Sets the value of the permission property.
    `void` | `setPolicySchema(long value)` Sets the value of the policySchema property.
    `void` | `setPrivateKeyAttributes(PrivateKeyAttributes value)` Sets the value of the privateKeyAttributes property.
    `void` | `setPrivateKeyFlags(Long value)` Sets the value of the privateKeyFlags property.
    `void` | `setRARequirements(RARequirements value)` Sets the value of the raRequirements property.
    `void` | `setRevision(Revision value)` Sets the value of the revision property.
    `void` | `setSubjectNameFlags(Long value)` Sets the value of the subjectNameFlags property.
    `void` | `setSupersededPolicies(SupersededPolicies value)` Sets the value of the supersededPolicies property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### commonName

          protected String commonName

    - #### policySchema

          protected long policySchema

    - #### certificateValidity

          protected CertificateValidity certificateValidity

    - #### permission

          protected EnrollmentPermission permission

    - #### privateKeyAttributes

          protected PrivateKeyAttributes privateKeyAttributes

    - #### revision

          protected Revision revision

    - #### supersededPolicies

          protected SupersededPolicies supersededPolicies

    - #### privateKeyFlags

          protected Long privateKeyFlags

    - #### subjectNameFlags

          protected Long subjectNameFlags

    - #### enrollmentFlags

          protected Long enrollmentFlags

    - #### generalFlags

          protected Long generalFlags

    - #### hashAlgorithmOIDReference

          protected Integer hashAlgorithmOIDReference

    - #### raRequirements

          protected RARequirements raRequirements

    - #### keyArchivalAttributes

          protected KeyArchivalAttributes keyArchivalAttributes

    - #### extensions

          protected ExtensionCollection extensions

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### Attributes

          public Attributes()

  - ### Method Detail

    - #### getCommonName

          public String getCommonName()

      Gets the value of the commonName property.
      Returns:
        possible object is `String`

    - #### setCommonName

          public void setCommonName(String value)

      Sets the value of the commonName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPolicySchema

          public long getPolicySchema()

      Gets the value of the policySchema property.

    - #### setPolicySchema

          public void setPolicySchema(long value)

      Sets the value of the policySchema property.

    - #### getCertificateValidity

          public CertificateValidity getCertificateValidity()

      Gets the value of the certificateValidity property.
      Returns:
        possible object is `CertificateValidity`

    - #### setCertificateValidity

          public void setCertificateValidity(CertificateValidity value)

      Sets the value of the certificateValidity property.
      Parameters:
        `value` - allowed object is `CertificateValidity`

    - #### getPermission

          public EnrollmentPermission getPermission()

      Gets the value of the permission property.
      Returns:
        possible object is `EnrollmentPermission`

    - #### setPermission

          public void setPermission(EnrollmentPermission value)

      Sets the value of the permission property.
      Parameters:
        `value` - allowed object is `EnrollmentPermission`

    - #### getPrivateKeyAttributes

          public PrivateKeyAttributes getPrivateKeyAttributes()

      Gets the value of the privateKeyAttributes property.
      Returns:
        possible object is `PrivateKeyAttributes`

    - #### setPrivateKeyAttributes

          public void setPrivateKeyAttributes(PrivateKeyAttributes value)

      Sets the value of the privateKeyAttributes property.
      Parameters:
        `value` - allowed object is `PrivateKeyAttributes`

    - #### getRevision

          public Revision getRevision()

      Gets the value of the revision property.
      Returns:
        possible object is `Revision`

    - #### setRevision

          public void setRevision(Revision value)

      Sets the value of the revision property.
      Parameters:
        `value` - allowed object is `Revision`

    - #### getSupersededPolicies

          public SupersededPolicies getSupersededPolicies()

      Gets the value of the supersededPolicies property.
      Returns:
        possible object is `SupersededPolicies`

    - #### setSupersededPolicies

          public void setSupersededPolicies(SupersededPolicies value)

      Sets the value of the supersededPolicies property.
      Parameters:
        `value` - allowed object is `SupersededPolicies`

    - #### getPrivateKeyFlags

          public Long getPrivateKeyFlags()

      Gets the value of the privateKeyFlags property.
      Returns:
        possible object is `Long`

    - #### setPrivateKeyFlags

          public void setPrivateKeyFlags(Long value)

      Sets the value of the privateKeyFlags property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getSubjectNameFlags

          public Long getSubjectNameFlags()

      Gets the value of the subjectNameFlags property.
      Returns:
        possible object is `Long`

    - #### setSubjectNameFlags

          public void setSubjectNameFlags(Long value)

      Sets the value of the subjectNameFlags property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getEnrollmentFlags

          public Long getEnrollmentFlags()

      Gets the value of the enrollmentFlags property.
      Returns:
        possible object is `Long`

    - #### setEnrollmentFlags

          public void setEnrollmentFlags(Long value)

      Sets the value of the enrollmentFlags property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getGeneralFlags

          public Long getGeneralFlags()

      Gets the value of the generalFlags property.
      Returns:
        possible object is `Long`

    - #### setGeneralFlags

          public void setGeneralFlags(Long value)

      Sets the value of the generalFlags property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getHashAlgorithmOIDReference

          public Integer getHashAlgorithmOIDReference()

      Gets the value of the hashAlgorithmOIDReference property.
      Returns:
        possible object is `Integer`

    - #### setHashAlgorithmOIDReference

          public void setHashAlgorithmOIDReference(Integer value)

      Sets the value of the hashAlgorithmOIDReference property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getRARequirements

          public RARequirements getRARequirements()

      Gets the value of the raRequirements property.
      Returns:
        possible object is `RARequirements`

    - #### setRARequirements

          public void setRARequirements(RARequirements value)

      Sets the value of the raRequirements property.
      Parameters:
        `value` - allowed object is `RARequirements`

    - #### getKeyArchivalAttributes

          public KeyArchivalAttributes getKeyArchivalAttributes()

      Gets the value of the keyArchivalAttributes property.
      Returns:
        possible object is `KeyArchivalAttributes`

    - #### setKeyArchivalAttributes

          public void setKeyArchivalAttributes(KeyArchivalAttributes value)

      Sets the value of the keyArchivalAttributes property.
      Parameters:
        `value` - allowed object is `KeyArchivalAttributes`

    - #### getExtensions

          public ExtensionCollection getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionCollection`

    - #### setExtensions

          public void setExtensions(ExtensionCollection value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionCollection`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.